[alsa-devel] [Alsa-user] Crash 2.6.32.x, Echo 3G, Alsa, SCSI

Giuliano Pochini pochini at shiny.it
Thu Jun 3 00:08:28 CEST 2010

On Tue, 01 Jun 2010 08:25:35 -0400
"F. Heitkamp" <heitkamp at ameritech.net> wrote:

> >> I've tried some newer kernels.  Still having problems with the echo 3G.
> >> This is kernel version:
> >>  The above patches posted to the linux kernel list seemed to
> >> get rid of the crashes, but evidently did not go into the main kernel tree.
> >>      
> > Indeed. I've just checked 2.6.33 and the patch isn't there. It's in 2.6.34.
> >
> > If you need you can apply the above patch to the kernel tree or
> > download ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.23.tar.bz2,
> > otherwise just use the latest kernel.
> >    
> I tried 2.6.34.   I have jack 1.9..5 installed.  I was able to use 
> rhythmbox to play mp3s.  I could not use the echomixer app.  It complained
> about a channels mismatch.

I'm running 2.6.34 now. Both a very old version of echomixer (2005!) and
the latest version I just compiled from alsa-tools-1.0.23 work fine with my
Gina3G. Please quote the error message.

> My goal is to be able to plug in a MIDI keyboard, or USB guitar 
> interface and play along with songs etc.
> I plugged in a MIDI keyboard, "/proc/asound/cards" showed the keyboard 
> was recognized.  The keyboard has a USB and MIDI interface.
> I am not sure if they both work at the same time.  I had the MIDI cable 
> plugged into the Gina3G, but I could not tell if the keyboard was 
> recognized.
> I compiled csound5.  When I engaged it the system immediately froze and 
> started spitting out:
> [...]

Ok, I compiled csound, but I don't know how to use it. How can I reproduce
the problem ?


More information about the Alsa-devel mailing list